const express = require('express');
const router = express.Router();
const cashOutController = require('../controllers/cashOutController'); // Path to your controller file

// Routes for bulk cash outs
router.post('/bulk', cashOutController.addBulkCashOuts);

// Route for getting cash outs by date, companyId, and branchId
router.get('/:date', cashOutController.getCashOutsByDate);

// Route for deleting a cash out by ID
router.delete('/:id', cashOutController.deleteCashOut);

module.exports = router;